Subject: Re: [PATCH v15 01/27] bisect--helper: use OPT_CMDMODE instead of OPT_BOOL

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Nov 2016 16:18:12 -0800

Stephan Beyer <[email-masked]> writes:

> Besides the things I'm mentioning in respective patch e-mails, I wonder
> why several bisect--helper commands are prefixed by "bisect"; I'm
> talking about:
>
> 	git bisect--helper --bisect-clean-state
>...
> 	git bisect--helper --bisect-start
> 	etc.
>
> instead of
>
> 	git bisect--helper --clean-state
>...
> 	git bisect--helper --start
> 	etc.
>
> Well, I know *why* they have these names: because the shell function
> names are simply reused. But I don't know why these prefixes are kept in
> the bisect--helper command options. On the other hand, these command
> names are not exposed to the user and may hence not be that important.(?)

That's a good point ;-) 

These are not intended to be end-user entry points, so names that
are bit longer than necessary does not bother me too much.
Hopefully the longer-term endgame would be not to need a separate
"bisect-helper" binary at all but to have a "git bisect" binary
making these requests as subroutine calls, and at that point, the
names of the functions would want to have "bisect" prefix.